<?php
/**
 *
 * @author  ahrasis http://elk.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod		HLBM: Highlight Buddy Message
 *
 */ 

if (!defined('ELK')) 
	die('Hacking attempt...');

function HLBM_Main(&$output, &$message)
{
	global $context, $modSettings, $settings, $user_info;

	if (!empty($modSettings['hlbm_enable']) && in_array($message['id_member'], $user_info['buddies'])) {
		// Add buddybg class into template using Javascript thanks to emanuale, Spuds and TE
		addInlineJavascript('
			$( "#info_'. $message['id_msg'] . '" ).parent().parent().parent().addClass("buddybg");
		', true);
	}
}

function HLBM_Styles()
{
	global $context, $modSettings, $settings;

	// Add Styling(s)
	if (!empty($modSettings['hlbm_enable'])) {
		$context['html_headers'] .= '
	<link rel="stylesheet" type="text/css" href="' . $settings['default_theme_url']. '/css/addons/HLBM.styles.css?fin20" />';
	}
}

function HLBM_Settings(&$config_vars)
{
	// Load Language(s)
	loadLanguage('addons/HLBM');
	// Add Setting(s)
	$hlbm = array(
			array('check', 'hlbm_enable'),
			'',
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $hlbm);
}
?>